OneBasket

Get Tickets

GET
/tickets

Get the tickets for the current authenticated contact (those that they bought themselves, or those that were forwarded to them). This endpoint also returns tickets for other contacts that this current contact has been explicitly associated to with the ticketing.tickets.read scope.

Authorization

BearerAuth ApiKeyAuth
AuthorizationBearer <token>

In: header

x-api-key<token>

In: header

Query Parameters

eventId?string

event identifier to filter tickets

currentSeason?boolean

when true, return only tickets for the current season — those whose event has not finished before the configured season start, including fixtures already played; omitted or false returns tickets for all dates

Response Body

application/json

curl -X GET "https://example.com/tickets"
[  {    "id": "string",    "providerId": "string",    "contacts": {      "purchaser": {        "contactId": "string",        "name": "string"      },      "assignee": {        "contactId": "string",        "name": "string"      },      "isOwner": true    },    "event": {      "id": "string",      "name": "string",      "type": "NOT_SET",      "start": "2019-08-24T14:15:22Z",      "end": "2019-08-24T14:15:22Z",      "image": "http://example.com",      "venue": {        "name": "string",        "city": "string",        "street": "string",        "postalCode": "string",        "latitude": "string",        "longitude": "string"      },      "sportsMatch": {        "teams": {          "home": {            "name": "string",            "logo": "http://example.com"          },          "away": {            "name": "string",            "logo": "http://example.com"          },          "teamType": "Unspecified"        },        "competition": "string",        "competitionKey": "string"      }    },    "capabilities": [      "CAN_FORWARD"    ],    "status": "NOT_SET",    "forwardingStatus": "NONE",    "ticketType": "VIP",    "ticketPackage": {      "items": {        "property1": "string",        "property2": "string"      }    },    "qrCode": {      "code": "string",      "availabilityFrom": "2019-08-24T14:15:22Z"    },    "price": {      "cost": {        "minorUnits": 0,        "precision": 0,        "currencyCode": "string"      },      "buyerType": "string"    },    "seating": {      "additionalMessage": "string",      "details": {        "property1": "string",        "property2": "string"      }    }  }]